Bug 634973 - Detect and recover from cxgb3 adapter parity errors [rhel-6.0.z]
Summary: Detect and recover from cxgb3 adapter parity errors [rhel-6.0.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.1
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: 6.0
Assignee: Frantisek Hrbata
QA Contact: Hangbin Liu
URL:
Whiteboard:
Depends On: 631547
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-17 13:23 UTC by RHEL Program Management
Modified: 2013-01-11 03:19 UTC (History)
25 users (show)

Fixed In Version: kernel-2.6.32-71.3.1.el6
Doc Type: Bug Fix
Doc Text:
Previously the cxgb3 (Chelsio Communications T3 10Gb Ethernet) adapter experienced parity errors. With this update, the parity errors are correctly detected and the cxgb3 adapter successfully recovers from them.
Clone Of:
Environment:
Last Closed: 2010-11-10 19:10:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
IBM Linux Technology Center 67386 0 None None None Never
Red Hat Product Errata RHSA-2010:0842 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-11-22 19:34:20 UTC

Description RHEL Program Management 2010-09-17 13:23:07 UTC
This bug has been copied from bug #631547 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 6 Frantisek Hrbata 2010-10-04 07:14:21 UTC
in 2.6.32-71.3.1.el6

Comment 13 IBM Bug Proxy 2010-11-03 15:41:09 UTC
------- Comment From sbest@us.ibm.com 2010-11-03 11:33 EDT-------
Wen

Red Hat has asked us to confirm this 0day RHEL6 fix. please provide test results by Friday 11/5.
I've placed the kernel on my gsa dir
http://pokgsa.ibm.com/~sbest/public/67386/

-Steve

Comment 14 IBM Bug Proxy 2010-11-05 16:31:09 UTC
------- Comment From wenxiong@us.ibm.com 2010-11-05 12:29 EDT-------
I have verified this kernel rpms with bad redrviver adapter and also did some sniff test with good redriver adapter. The kernel works as our expection for bad adatper.
Also didn't break functions for good adapter.

Thanks,
Wendy

Comment 15 John Jarvis 2010-11-05 16:43:45 UTC
Thanks for the feedback, settting as partner verified.

Comment 17 errata-xmlrpc 2010-11-10 19:10:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0842.html

Comment 18 Martin Prpič 2010-11-11 11:49:12 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously the cxgb3 (Chelsio Communications T3 10Gb Ethernet) adapter experienced parity errors. With this update, the parity errors are correctly detected and the cxgb3 adapter successfully recovers from them.


Note You need to log in before you can comment on or make changes to this bug.